body {
    background-color: rgb(111, 69, 20);
}

.grid {
    display: grid;
    grid-template-columns: repeat(8, 150px);
    grid-template-rows: repeat(6, 75px);
    background-color: rgb(10, 99, 10);
    width: fit-content
}

#p1-health {
    /* position: absolute; */
    left: 0px;
    /* top: 0px; */
}

#p2-health {
    /* position: absolute; */
    right: 0px;
    /* top: 0px; */
}

.enemy.creature img {
    filter: brightness(0.7);
}

.health-indicator {
    background-color: green;
    height: 20px;
    position: absolute;
    /* bottom: 1px; */
    width: 10%;
    border: 2px solid white;
    border-radius: 5px;
    /* margin-top: 5px; */
}

.winLine {
    position: absolute;
    top: 0;
    height: 100%;
    width: 4px;
    left: 50%;
    background-color: black;
}

.super {
    border: 5px solid gold;
    box-shadow: 0 0 10px 5px gold;
    animation: glow 1s infinite alternate;
}

.damage {
    animation: shake 1s;
    background: radial-gradient(red 60%, transparent 80%);
}
.eat {
    /* animation: shake .2s; */
    background: radial-gradient(lightgreen 60%, transparent 80%);
}

.dead {
    filter: grayscale(100%);
    opacity: 0.5;
    transform: scale(0.5);
}

.flip {
    animation: flip 0.8s;
}

@keyframes glow {
    from {
        background: radial-gradient(gold 60%, transparent 80%);
    }
    to {
        background: radial-gradient(gold 40%, transparent 80%);
    }
}
@keyframes shake {
    0% { transform: translate(0px, 0px); }
    30% { transform: translate(5px, 5px); }
    60% { transform: translate(-3px, 2px); }
    90% { transform: translate(3px, -5px); }
    100% { transform: translate(0px, 0px); }
}
@keyframes flip {
    from { transform: rotate(0deg); }
    to { transform: rotate(360deg); }
}

.score {
    background-color: pink;
    padding: 10px;
    border-radius: 5px;
    display: flex;
    justify-content: space-between;
    position: relative;
}

.character{
    grid-column: 2;
    grid-row: 2;
}

.enemy{
    grid-column: 3;
    grid-row: 3;
}

.creature {
    width: 150px;
    height: 75px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: end;
}

.creature img {
    max-width: 95%;
    max-height: 95%;
    transition: transform 0.4s;
    margin-bottom: 8px;
}

.grass {
    /* grid-column: 4;
    grid-row: 4; */
    z-index: 2;
}

.grass img {
    width: 100%;
    height: 100%;
}

.lightning img {
    width: 50%;
    height: 100%;
}

.tree {
    z-index: 5;
}

.tree img {
    width: 100%;
    height: 250%;
}

.apple, .fruit {
    grid-column: 1;
    grid-row: 4;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.apple img, .fruit img {
    width: 60px;
    height: 60px;
    z-index: 1;
}

.house, .badHouse {
    grid-column: 7;
    grid-row: 1;
    z-index: 4;
    width: 100%;
    height: 100%;
}

.house img, .badHouse img {
    width: 100%;
    height: 100%;
}